function BIAS = bias_alpha_probit_mle2(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

hit = normpdf(x*d) ./ (normcdf(x*d) .* normcdf(-x*d));
dhit = (normdpdf(x*d) ./ (normcdf(x*d) .* normcdf(-x*d))) - ((normpdf(x*d).^2) .* (1 - 2 * normcdf(x*d)) ./ (normcdf(x*d) .* normcdf(-x*d)).^2);

vit   = hit .* (y - normcdf(x*d));
vita  = - hit .* normpdf(x*d);
vitaa = - hit .* normdpdf(x*d) - 2 * dhit .* normpdf(x*d);

pit   = phi_alpha_probit_mle2(y,x,d,index);
si    = sigma2_alpha_probit_mle2(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

visa = reshape(vita,t,n);
visa = [zeros(1,n) ; visa(1:(t-1),:)];
visa = (t/(t-1))*reshape(visa,t*n,1);

s_vita = (1/t) * D' * vita;
s_vitapis = (1/t)* D' * (vita .* pis);
s_vitaa = (1/t) * D' * vitaa;
s1 = (1/t) * D' * (dhit .* normpdf(x*d)); 

BIAS    = -(s_vita.^(-1)).*(- s1 ./ s_vita + s_vitapis + (1/2) * (s_vitaa ./ si));

