function BIAS = bias_alpha_logit(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

hit = 1;
dhit = 0;
ddhit = 0;

vit   = hit .* (y - logcdf(x*d));
vita  = - hit .* logpdf(x*d) + dhit .* (y - logcdf(x*d));
vitaa = - hit .* logdpdf(x*d) - 2 * dhit .* logpdf(x*d) + ddhit .* (y - logcdf(x*d));


s_vita = D'*vita;

pit   = phi_alpha_logit(y,x,d,index);
si    = sigma2_alpha_logit(y,x,d,index);

pis = reshape(pit,t,n);
pis = [zeros(1,n) ; pis(1:(t-1),:)];
pis = (t/(t-1))*reshape(pis,t*n,1);

visa = reshape(vita,t,n);
visa = [zeros(1,n) ; visa(1:(t-1),:)];
visa = (t/(t-1))*reshape(visa,t*n,1);

%piss = reshape(pis,t,n);
%piss = [zeros(1,n) ; piss(1:(t-1),:)];
%piss = (t/(t-2))*reshape(piss,t*n,1);

%BIAS    = -(s_vita.^(-1)).*(D'*(vita.*pit + vita.*pis + vita.*piss + vitaa.*kron(si/2,ones(t,1))));
BIAS    = -(s_vita.^(-1)).*(D'*(vita.*pit + vita.*pis + pit.*visa + vitaa.*kron(si/2,ones(t,1))));

