function BIAS = bias_beta_logit_mle(y,x,d,n,index)

D = dummyvar(index);
t = mean(sum(D));
p = size(x,2)-n;
n = size(index,1)/t;

hit = 1;
dhit = 0;
ddhit = 0;

vit   = hit .* (y - logcdf(x*d));
vita  = - hit .* logpdf(x*d) + dhit .* (y - logcdf(x*d));
vitaa = - hit .* logdpdf(x*d) - 2 * dhit .* logpdf(x*d) + ddhit .* (y - logcdf(x*d));

uit   = x(:,1:p) .* (vit*ones(1,p));
uita  = x(:,1:p) .* (vita*ones(1,p));
uitaa = x(:,1:p) .* (vitaa*ones(1,p));

uitb  = x(:,1:p)' * (uita);
vitb  = uita;

s_vita = kron(D'*vita,ones(t,1));
s_vitb = kron(D'*vitb,ones(t,1));

TEMP1 = s_vitb ./ (s_vita * ones(1,p));

H     = - (1/t) * (uitb - uita' * TEMP1);

pit   = phi_alpha_logit(y,x,d,index);

vis = reshape(vit,t,n);
vis = [zeros(1,n) ; vis(1:(t-1),:)];
vis = (t/(t-1))*reshape(vis,t*n,1);

uisa = reshape(uita,t,n*p);
uisa = [zeros(1,n*p) ; uisa(1:(t-1),:)];
uisa = (t/(t-1))*reshape(uisa,t*n,p);

Uit = uit - (s_vitb ./ (s_vita * ones(1,p))) .* (vit * ones(1,p));
Uita = uita - (s_vitb ./ (s_vita * ones(1,p))) .* (vita * ones(1,p));
Uitaa = uitaa - (s_vitb ./ (s_vita * ones(1,p))) .* (vitaa * ones(1,p));

fVUia = (1/t) * D' * ((vit*ones(1,p)).*(uita + uisa) + (vis*ones(1,p)).*uita);
fVVi = (1/t) * D' * (vit.^2 + 2*vit.*vis) * ones(1,p);

s_vita = (1/t) * D' * vita * ones(1,p);
s_Uitaa = (1/t) * D' * Uitaa;

b = sum(fVUia ./ s_vita - (1/2) * (s_Uitaa .* fVVi) ./ (s_vita.^2),1)';

BIAS  = -inv(H)*b;

