function PHI = phi_alpha_probit_mle(y,x,d,index)

D = dummyvar(index);
t = mean(sum(D));

hit = normpdf(x*d) ./ (normcdf(x*d) .* normcdf(-x*d));
vit   = hit .* (y - normcdf(x*d));

s2 = D' * (vit.^2) / t;

PHI   = vit ./ kron(s2,ones(t,1));