function H = vc_logit(y,x,beta,index)

D = dummyvar(index);
t = mean(sum(D));
n = size(index,1)/t;

hit = 1;
p = size(x,2);
vit   = hit .* (y - logcdf(x*beta));

sit = x .* (vit * ones(1,p));

sis = reshape(sit,t,n*p);
sis = [zeros(1,n*p) ; sis(1:(t-1),:)];
sis = (t/(t-1))*reshape(sis,t*n,p);

w = (hit .* logpdf(x*beta)) * ones(1,p);
H = x' * (x .* w);
Sigma1 = sit' * sis;

%V = inv(H) + inv(H)*Sigma1*inv(H);
%modified: 12/06/2006;
V = inv(H);
